Bug 975995 - Motherboard sensors are not available on Asus P8Z77-M pro
Motherboard sensors are not available on Asus P8Z77-M pro
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Mauro Carvalho Chehab
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 14:00 EDT by Mauro Carvalho Chehab
Modified: 2013-07-04 19:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-01 13:38:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mauro Carvalho Chehab 2013-06-19 14:00:18 EDT
Description of problem:

While this motherboard have lots of sensors, those aren't currently available on Fedora 18, as the Kernel driver is recent.

Version-Release number of selected component (if applicable):

Kernel-3.9.6-200

How reproducible:

Always.

Actual results:

Only the CPU sensors are available. It misses Fan, voltage and motherboard sensors.

Expected results:

All sensors should be visible by the userspace tools.

Additional info:

The nct6775 upstream module provides the needed sensors, via the following patches, available at Kernel 3.10-rc6:

169c05c hwmon: (nct6775) Do not create non-existing attributes
6445e66 hwmon: (nct6775) Fix coding style problems
6d4b362 hwmon: (nct6775) Constify strings
c409fd4 hwmon: (nct6775) Use ARRAY_SIZE for loops where possible
573728c hwmon: (nct6775) Enable both AUXTIN and VIN3 on NCT6776
2c7fd30 hwmon: (nct6775) Expand scope of supported chips
236d903 hwmon: (nct6775) Drop read/write lock
0fc1f8f hwmon: (nct6775) Only report VID if supported and enabled
8e9285b hwmon: (nct6775) Detect and report additional temperature sources
bbd8dec hwmon: (nct6775) Add support for weighted fan control
cdcaece hwmon: (nct6775) Add support for automatic fan control
77eb5b3 hwmon: (nct6775) Add support for pwm, pwm_mode, and pwm_enable
84d19d9 hwmon: (nct6775) Add power management support
47ece96 hwmon: (nct6775) Add support for fan debounce module parameter
5c25d95 hwmon: (nct6775) Add support for fanX_pulses sysfs attribute
1c65dc3 hwmon: (nct6775) Add support for fan speed attributes
aa136e5 hwmon: (nct6775) Add support for temperature sensors
a6bd587 hwmon: (nct6775) Add case open detection
9de2e2e hwmon: Driver for Nuvoton NCT6775F, NCT6776F, and NCT6779D
Comment 1 Josh Boyer 2013-06-19 14:17:26 EDT
Please don't backport those.  F18 will get 3.10 in a relatively short period of time.
Comment 2 Josh Boyer 2013-07-01 13:38:19 EDT
This is fixed in the latest F18 update.

Note You need to log in before you can comment on or make changes to this bug.